tbb::flow::interface11::opencl_info::default_device_selector< Factory > Struct Template Reference

`#include <flow_graph_opencl_node.h>`

Collaboration diagram for tbb::flow::interface11::opencl_info::default_device_selector< Factory >:

## Public Member Functions

opencl_device | operator() (Factory &f)

## Detailed Description

### template<typename Factory>
struct tbb::flow::interface11::opencl_info::default_device_selector< Factory >

Definition at line 1173 of file flow_graph_opencl_node.h.

## Member Function Documentation

## operator()()

template<typename Factory >

opencl_device tbb::flow::interface11::opencl_info::default_device_selector< Factory >::operator() | ( | Factory & | f | ) |

inline

Definition at line 1174 of file flow_graph_opencl_node.h.

{
__TBB_ASSERT(!f.devices().empty(), "No available devices");
return *(f.devices().begin());
}

References __TBB_ASSERT.

The documentation for this struct was generated from the following file:

- flow_graph_opencl_node.h

__TBB_ASSERT
#define __TBB_ASSERT(predicate, comment)
No-op version of __TBB_ASSERT.
Definition: tbb_stddef.h:165

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.